Debian Bug report logs - #349969
dialog: exit status in case of "--menu" doesn't return

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Yanovych Borys <borman@welcash.kiev.ua>

Date: Thu, 26 Jan 2006 11:03:11 UTC

Severity: normal

Found in version dialog/1.0-20060119-1

Fixed in version dialog/1.0-20060126-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#349969; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Yanovych Borys <borman@welcash.kiev.ua>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yanovych Borys <borman@welcash.kiev.ua>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: exit status in case of "--menu" doesn't return
Date: Thu, 26 Jan 2006 12:57:06 +0200
Package: dialog
Version: 1.0-20060119-1
Severity: normal

At use dialog with parameter --menu exit status does not return.
Hence, it is impossible to trace the information entered by user.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686-smp
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=KOI8-R) (ignored: LC_ALL set to ru_RU.KOI8-R)

Versions of packages dialog depends on:
ii  debianutils                   2.15.2     Miscellaneous utilities specific t
ii  libc6                         2.3.5-12   GNU C Library: Shared libraries an
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#349969; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 349969@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Yanovych Borys <borman@welcash.kiev.ua>, 349969@bugs.debian.org
Subject: Re: Bug#349969: dialog: exit status in case of "--menu" doesn't return
Date: Thu, 26 Jan 2006 10:02:20 -0500 (EST)
On Thu, 26 Jan 2006, Yanovych Borys wrote:

> Package: dialog
> Version: 1.0-20060119-1
> Severity: normal
>
> At use dialog with parameter --menu exit status does not return.
> Hence, it is impossible to trace the information entered by user.

I can reproduce this (thanks).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yanovych Borys <borman@welcash.kiev.ua>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 349969-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 349969-close@bugs.debian.org
Subject: Bug#349969: fixed in dialog 1.0-20060126-1
Date: Fri, 27 Jan 2006 08:47:11 -0800
Source: dialog
Source-Version: 1.0-20060126-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20060126-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20060126-1.diff.gz
dialog_1.0-20060126-1.dsc
  to pool/main/d/dialog/dialog_1.0-20060126-1.dsc
dialog_1.0-20060126-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20060126-1_powerpc.deb
dialog_1.0-20060126.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20060126.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 349969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Jan 2006 17:26:12 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20060126-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 349969
Changes: 
 dialog (1.0-20060126-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed normal menus, which didn't return the choice (Closes: #349969).
Files: 
 e50590ef2b738d1734863f6d95368f02 593 misc optional dialog_1.0-20060126-1.dsc
 48dc347ac316fb40bf2ab36d955d0cc7 337266 misc optional dialog_1.0-20060126.orig.tar.gz
 5acbaf1e37706dc176050b7ad3c052ab 8528 misc optional dialog_1.0-20060126-1.diff.gz
 eb5b16d172a865166c4cd4c8268f13e7 231810 misc optional dialog_1.0-20060126-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD2ko6d9Uuvj7yPNYRAo/xAKDAq4dss9wMHDTde+HV04XFI6Ci8wCgkMTp
O6vK9ym58rTLtTWN3z1AZg0=
=Ug12
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 09:48:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:29:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.